
package org.tio.sitexxx.service.vo;

import java.util.Objects;

/**
 * 返回码
 * @author xufei
 * 2021年6月17日 下午4:21:46
 */
public class RetCode {
	private static int commonCode = 100000;
	
	public enum CommonCode {
		
		/**
		 * 参数不正确
		 */
		PARAM_ERROR(commonCode + 1, "无效参数"),
		
		/**
		 * 业务不正确
		 */
		BIZ_ERROR(commonCode + 2, "业务不正确"),
		
		/**
		 * 业务数据不存在
		 */
		BIZ_NOT_EXIST(commonCode + 3, "记录不存在"),
		
		/**
		 * 业务数据已存在
		 */
		BIZ_EXIST(commonCode + 4, "记录已存在"),
		
		/**
		 * 业务数据已存在
		 */
		GRANT_ERROR(commonCode + 5, "业务权限不足"),
		
		/**
		 * 服务异常
		 */
		SYS_ERROR(commonCode + 0, "服务异常");

		public static CommonCode from(String code) {
			CommonCode[] values = CommonCode.values();
			for (CommonCode v : values) {
				if (Objects.equals(v.value, code)) {
					return v;
				}
			}
			return SYS_ERROR;
		}

		public Integer	code;
		public String	value;

		CommonCode(Integer code, String value) {
			this.code = code;
			this.value = value;
		}
	}
}
